# Common
This folder contain sub-circuit templates that can be imported as hierarchical sheets. In order to use one of these circuits in an entity project, copy and paste the desired file into the project folder, then import into the schematic as hierarchical sheet (**DO NOT** directly import from this folder).

## Schematic

|   |   |
|---|---|
|[<img src="docs/sub_connectors.png"  width="290" height="200">](docs/sub_connectors.png)|Connectors<ul><li>Programming interface via 2x03_P1.27mm shrouded vertical header receptacle for IDC cables</li><li>Spring-loaded connector for standard entity docking; change the footprint to *LEGOS:PogoConn_Extended* if direct branch interface is needed</li></ul>|
|[<img src="docs/sub_display.png"  width="290" height="200">](docs/sub_display.png)|LED Display<ul><li>3-digits surface mount LED Display</li><li>BCD-to-7 segment latch/decoder/driver</li><li>8-GPIO  control: 4 for BCD code, 3 for digit selection, 1 for brightness</li><li>3.3 V digital input with 5 V power supply</li></ul>|
|[<img src="docs/sub_mechanical.png"  width="290" height="200">](docs/sub_mechanical.png)|Mechanical<ul><li>Assembling of PCBs to housing</li><li>Steel Spacer with internal Thread M1.6</li></ul>|
|[<img src="docs/sub_power_auto.png"  width="290" height="200">](docs/sub_power_auto.png)|Power Auto<ul><li>Independent power supply</li><li>1 A low-noise CMOS LDO regulator</li><li>450 mV dropout voltage @ 1 A</li></ul>|
|[<img src="docs/sub_power_master.png"  width="290" height="200">](docs/sub_power_master.png)|Power Master<ul><li>High-inertia power generator</li><li>Voltage source configuration</li><li>4 A maximum current output</li><li>Digital output voltage control (SPI) </li><li>Digital current limitation control (SPI) </li></ul>|
|[<img src="docs/sub_power_slave.png"  width="290" height="200">](docs/sub_power_slave.png)|Power Slave<ul><li>Low-inertia power generator</li><li>Current source configuration</li><li>2 A maximum current output</li><li>Digital current limitation control (SPI) </li></ul>|
|[<img src="docs/sub_power_ups.png"  width="290" height="200">](docs/sub_power_ups.png)|Power UPS<ul><li>Uninterruptible Power Supply</li><li>LiFePO4 single cell 3.3 V accumulator</li><li>4.3 Ω current charging limiter</li><li>Anti-discharge and inverse-flow protection</li><li>Source detection and power flow visualization</li></ul>|
|[<img src="docs/sub_telemetry.png"  width="290" height="200">](docs/sub_telemetry.png)|Telemetry<ul><li>Bidirectional Current and Power Monitor</li><li>I2C-, SMBus-,and PMBus-Compatible Interface</li><li>Configurable I2C device address</li><li>16-bit ADC native resolution</li><li>2.5 µV Shunt voltage resolution</li><li>1.25 mV Bus voltage resolution</li></ul>|
|[<img src="docs/sub_virtual_load.png"  width="290" height="200">](docs/sub_virtual_load.png)|Virtual Load<ul><li>Grid load emulation</li><li>100 mA maximum output current</li><li>Voltage-controlled current source configuration</li><li>DC or PWM control (ripple <1% at 100 kHz)</li</ul>|